Subject: Re: bug#14297: 24.3.50; emacs subprocesses don't exit on "exit"

From: Vitalie Spinu <[email-masked]>
Date: Sun, 28 Apr 2013 20:30:58 +0200

>> Glenn Morris <[email-masked]>
 >> on Sun, 28 Apr 2013 13:26:52 -0400 wrote:

 > Vitalie Spinu wrote:

 >> Start M-x shell and type exit. There is no message of process
 >> exiting. It actually doesn't exit at all; M-: (process-status
 >> (get-process "shell")) returns 'run.

 > I can't reproduce this in current trunk on RHEL or Debian testing.

This is Kubuntu 13.04.

 >> The problem doesn't occur in the most recent master branch, but in
 >> trunk it has been there already quite some time.

 > What does "most recent master branch" mean?

Ah, sorry, I meant emacs-24 branch. Don't know why I called it master.

 >> Configured using:
 >> `configure --no-create --no-recursion'

 > These arguments are supposed to be removed, since 2013-02-10.
 > Is it possible your tree is not correctly up-to-date or that your build
 > does not start from a clean state?

I sent the bug report from 

   commit 56a944dff18bde39e321aea2a987cb97a8db96e1 (HEAD)
   Merge: c3db377 2c1bbee
   Author: Glenn Morris <[email-masked]>
   Date:   Sun Dec 30 10:09:01 2012 -0800

but the same thing is happening with trunk.

I don't observe it with emacs-24 branch. All my emacses are cleanly
built yesterday. 

    Vitalie